#
# spec file for package python-bitstruct
#
# Copyright (c) 2023 SUSE LLC
# Copyright (c) 2020, Martin Hauke <mardnh@gmx.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-bitstruct
Version:        8.19.0
Release:        1.5
Summary:        Interpret strings as packed binary data
License:        MIT
URL:            https://github.com/eerimoq/bitstruct
Source:         https://files.pythonhosted.org/packages/source/b/bitstruct/bitstruct-%{version}.tar.gz
BuildRequires:  %{python_module devel >= 3.7}
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
%python_subpackages

%description
This module is intended to have a similar interface as the python struct
module, but working on bits instead of primitive data types (char, int, ...).

%prep
%setup -q -n bitstruct-%{version}

%build
export CFLAGS="%{optflags}"
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitearch}

%check
%pyunittest_arch discover -v tests

%files %{python_files}
%license LICENSE
%doc README.rst
%{python_sitearch}/bitstruct*

%changelog
* Wed Nov 29 2023 Dirk Müller <dmueller@suse.com>
- update to 8.19.0:
  * Python 3.12 support
  * raise minimum python version to 3.7 because of setuptools
    compatibility
  * try to fix pytest command
  * do not limit max. parallel CI jobs
  * use pytest
  * remove verbose output
* Sun May  7 2023 Dirk Müller <dmueller@suse.com>
- update to 8.17.0:
  * Text encoding and error action to unpack operations
  * Fix memory leak
  * Fix Text encoding and Errors to compile
* Fri Sep  9 2022 Yogalakshmi Arunachalam <yarunachalam@suse.com>
- Update to 8.15.1.
  * support bytearray unpacking for CompiledFormats
- Update to 8.15.0.
  * support bytearray unpacking
- Update to 8.14.1.
  * c implementation: fix unpacking of truncated data in the presence of padding
- Update to 8.14.0.
  * fix segmentation faults on CI
  * C implementation: allow partial decoding of truncated data
  * python implementation: allow partial decoding of truncated data
  * Test on more Python versions.
- Update to 8.13.0.
  * Use PyFloat_Pack2() on Python 3.11a7
  * Update bitstream library.
* Fri May 21 2021 pgajdos@suse.com
- %%check: use %%pyunittest_arch macro
* Tue Jul 21 2020 Steve Kowalik <steven.kowalik@suse.com>
- Update to 8.11.0:
  * Add support for copy and deepcopy inC extension.
  * Only build C extension for CPython 3.
* Fri Apr  3 2020 Martin Hauke <mardnh@gmx.de>
- Initial package, version 8.9.0
